# ncurses 6.5 — TUI/terminal (base de shells/editores/htop/etc.). autotools static, con widec (UTF-8).
name    = "ncurses"
version = "6.5"
license = "MIT"
[source]
tarball = "https://ftp.gnu.org/gnu/ncurses/ncurses-6.5.tar.gz"
sha256  = "136d91bc269a9a5785e5f9e980bc76ab57428f604ce3e5a5a90cebc767971cc6"
[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"

# Split de la info de depuración (SDD 23 etapa 4). Entra en `hash_inputs`: re-hashea a propósito.
strip_debug = true
[build.phases]
configure = "./configure --prefix=/usr --without-shared --with-normal --enable-widec --without-debug --without-ada --without-tests --enable-pc-files --with-pkg-config-libdir=/usr/lib/pkgconfig --with-fallbacks=linux,vt100,vt220,xterm,xterm-256color,screen,tmux,tmux-256color,ansi"
compile   = "make"
install   = "make install.libs install.includes DESTDIR=/out"

[deps]
build = ["binutils"]
